From 62c73cf7c115d79aa72b8533ee8a820c90d2618b Mon Sep 17 00:00:00 2001
From: "Gao,Yan" <ygao@suse.com>
Date: Fri, 1 Mar 2019 16:34:23 +0100
Subject: [PATCH 2/3] Test: scheduler: cl#5301 - respect order constraints when
 relevant resources are being probed (update tests)

---
 .../11-a-then-bm-b-move-a-clone-starting.dot       |  1 +
 .../11-a-then-bm-b-move-a-clone-starting.exp       |  3 ++
 pengine/test10/594.dot                             |  2 +
 pengine/test10/594.exp                             |  6 +++
 pengine/test10/662.dot                             |  9 ++++
 pengine/test10/662.exp                             | 27 ++++++++++++
 pengine/test10/797.dot                             |  4 ++
 pengine/test10/797.exp                             | 12 ++++++
 pengine/test10/829.dot                             |  6 +++
 pengine/test10/829.exp                             | 18 ++++++++
 pengine/test10/bug-cl-5247.dot                     |  3 ++
 pengine/test10/bug-cl-5247.exp                     |  9 ++++
 pengine/test10/bug-lf-2435.dot                     |  1 +
 pengine/test10/bug-lf-2435.exp                     |  3 ++
 pengine/test10/bug-n-387749.dot                    |  3 ++
 pengine/test10/bug-n-387749.exp                    |  9 ++++
 pengine/test10/bug-rh-1097457.dot                  |  8 ++++
 pengine/test10/bug-rh-1097457.exp                  | 24 +++++++++++
 pengine/test10/bundle-replicas-change.dot          |  2 +
 pengine/test10/bundle-replicas-change.exp          |  6 +++
 pengine/test10/clone-no-shuffle.dot                |  2 +
 pengine/test10/clone-no-shuffle.exp                |  6 +++
 pengine/test10/group5.dot                          |  6 +++
 pengine/test10/group5.exp                          | 18 ++++++++
 pengine/test10/group6.dot                          | 10 +++++
 pengine/test10/group6.exp                          | 30 ++++++++++++++
 pengine/test10/group9.dot                          |  9 ++++
 pengine/test10/group9.exp                          | 27 ++++++++++++
 pengine/test10/inc2.dot                            |  5 +++
 pengine/test10/inc2.exp                            | 15 +++++++
 pengine/test10/inc3.dot                            | 10 +++++
 pengine/test10/inc3.exp                            | 30 ++++++++++++++
 pengine/test10/inc4.dot                            | 13 ++++++
 pengine/test10/inc4.exp                            | 39 ++++++++++++++++++
 pengine/test10/inc5.dot                            | 16 ++++++++
 pengine/test10/inc5.exp                            | 48 ++++++++++++++++++++++
 pengine/test10/master-7.dot                        | 13 ++++++
 pengine/test10/master-7.exp                        | 39 ++++++++++++++++++
 pengine/test10/master-8.dot                        | 14 +++++++
 pengine/test10/master-8.exp                        | 42 +++++++++++++++++++
 pengine/test10/master-9.dot                        |  5 +++
 pengine/test10/master-9.exp                        | 15 +++++++
 pengine/test10/notify-0.dot                        |  1 +
 pengine/test10/notify-0.exp                        |  3 ++
 pengine/test10/notify-1.dot                        |  1 +
 pengine/test10/notify-1.exp                        |  3 ++
 pengine/test10/notify-2.dot                        |  1 +
 pengine/test10/notify-2.exp                        |  3 ++
 pengine/test10/notify-3.dot                        |  5 +++
 pengine/test10/notify-3.exp                        | 15 +++++++
 pengine/test10/novell-252693-3.dot                 |  2 +
 pengine/test10/novell-252693-3.exp                 |  6 +++
 pengine/test10/order3.dot                          |  3 ++
 pengine/test10/order3.exp                          |  9 ++++
 pengine/test10/rec-node-11.dot                     |  3 ++
 pengine/test10/rec-node-11.exp                     |  9 ++++
 pengine/test10/reload-becomes-restart.dot          |  1 +
 pengine/test10/reload-becomes-restart.exp          |  3 ++
 pengine/test10/remote-connection-unrecoverable.dot |  2 +
 pengine/test10/remote-connection-unrecoverable.exp |  6 +++
 pengine/test10/rsc_dep1.dot                        |  2 +
 pengine/test10/rsc_dep1.exp                        |  6 +++
 pengine/test10/rsc_dep5.dot                        |  4 ++
 pengine/test10/rsc_dep5.exp                        | 12 ++++++
 pengine/test10/unfence-definition.dot              |  4 ++
 pengine/test10/unfence-definition.exp              | 12 ++++++
 pengine/test10/unfence-parameters.dot              |  4 ++
 pengine/test10/unfence-parameters.exp              | 12 ++++++
 pengine/test10/unrunnable-1.dot                    |  3 ++
 pengine/test10/unrunnable-1.exp                    |  9 ++++
 pengine/test10/whitebox-imply-stop-on-fence.dot    |  6 +++
 pengine/test10/whitebox-imply-stop-on-fence.exp    | 18 ++++++++
 pengine/test10/whitebox-migrate1.dot               |  1 +
 pengine/test10/whitebox-migrate1.exp               |  6 ++-
 pengine/test10/whitebox-migrate1.summary           |  6 +--
 pengine/test10/whitebox-move.dot                   |  1 +
 pengine/test10/whitebox-move.exp                   |  3 ++
 pengine/test10/whitebox-ms-ordering.dot            |  3 ++
 pengine/test10/whitebox-ms-ordering.exp            |  9 ++++
 pengine/test10/whitebox-orphaned.dot               |  1 +
 pengine/test10/whitebox-orphaned.exp               |  3 ++
 pengine/test10/whitebox-stop.dot                   |  1 +
 pengine/test10/whitebox-stop.exp                   |  3 ++
 83 files changed, 769 insertions(+), 4 deletions(-)

Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/11-a-then-bm-b-move-a-clone-starting.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/11-a-then-bm-b-move-a-clone-starting.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/11-a-then-bm-b-move-a-clone-starting.dot
@@ -11,7 +11,9 @@
 "myclone-clone_stop_0" [ style=bold color="green" fontcolor="orange"]
 "myclone-clone_stopped_0" -> "myclone-clone_start_0" [ style = bold]
 "myclone-clone_stopped_0" [ style=bold color="green" fontcolor="orange"]
+"myclone_monitor_0 f20node2" -> "all_stopped" [ style = bold]
 "myclone_monitor_0 f20node2" -> "myclone-clone_start_0" [ style = bold]
+"myclone_monitor_0 f20node2" -> "myclone-clone_stopped_0" [ style = bold]
 "myclone_monitor_0 f20node2" [ style=bold color="green" fontcolor="black"]
 "myclone_start_0 f20node2" -> "myclone-clone_running_0" [ style = bold]
 "myclone_start_0 f20node2" [ style=bold color="green" fontcolor="black"]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/11-a-then-bm-b-move-a-clone-starting.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/11-a-then-bm-b-move-a-clone-starting.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/11-a-then-bm-b-move-a-clone-starting.exp
@@ -45,6 +45,9 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="myclone_monitor_0" internal_operation_key="myclone:0_monitor_0" on_node="f20node2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="3" operation="stop" operation_key="myclone_stop_0" internal_operation_key="myclone:0_stop_0" on_node="f20node1" on_node_uuid="1"/>
       </trigger>
       <trigger>
@@ -127,6 +130,9 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="myclone_monitor_0" internal_operation_key="myclone:0_monitor_0" on_node="f20node2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="3" operation="stop" operation_key="myclone_stop_0" internal_operation_key="myclone:0_stop_0" on_node="f20node1" on_node_uuid="1"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/594.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/594.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/594.exp
@@ -160,6 +160,12 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="12" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
+      </trigger>
+      <trigger>
         <rsc_op id="25" operation="stop" operation_key="child_DoFencing:0_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
       </trigger>
       <trigger>
@@ -219,6 +225,21 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="rsc_hadev2_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="12" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="hadev1" on_node_uuid="6125a0df-456a-4395-829a-418e9a380d36"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="13" operation="monitor" operation_key="rsc_hadev3_monitor_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
+      </trigger>
+      <trigger>
         <rsc_op id="15" operation="stop" operation_key="DcIPaddr_stop_0" on_node="hadev2" on_node_uuid="190b75b6-5585-42d9-8cde-eb6041843ae3"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/797.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/797.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/797.dot
@@ -2,8 +2,10 @@
 "DcIPaddr_delete_0 c001n03" -> "DcIPaddr_start_0 c001n03" [ style = dashed]
 "DcIPaddr_delete_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_monitor_0 c001n01" -> "DcIPaddr_start_0 c001n03" [ style = dashed]
+"DcIPaddr_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_monitor_0 c001n02" -> "DcIPaddr_start_0 c001n03" [ style = dashed]
+"DcIPaddr_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "DcIPaddr_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
 "DcIPaddr_monitor_5000 c001n03" [ style=dashed color="red" fontcolor="black"]
 "DcIPaddr_start_0 c001n03" -> "DcIPaddr_monitor_5000 c001n03" [ style = dashed]
@@ -41,14 +43,23 @@
 "child_DoFencing:1_stop_0 c001n02" -> "do_shutdown c001n02" [ style = bold]
 "child_DoFencing:1_stop_0 c001n02" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:2_monitor_0 c001n01" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:2_monitor_0 c001n01" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:2_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "child_DoFencing:2_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:3_monitor_0 c001n01" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:3_monitor_0 c001n01" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:3_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "child_DoFencing:3_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:3_monitor_0 c001n02" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:3_monitor_0 c001n02" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:3_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "child_DoFencing:3_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
 "child_DoFencing:3_monitor_0 c001n03" -> "DoFencing_start_0" [ style = bold]
+"child_DoFencing:3_monitor_0 c001n03" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:3_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "child_DoFencing:3_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "do_shutdown c001n02" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n01_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "rsc_c001n01_monitor_0 c001n03" -> "rsc_c001n01_start_0 c001n01" [ style = dashed]
 "rsc_c001n01_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n01_monitor_5000 c001n01" [ style=dashed color="red" fontcolor="black"]
@@ -57,8 +68,10 @@
 "rsc_c001n01_stop_0 c001n01" -> "all_stopped" [ style = bold]
 "rsc_c001n01_stop_0 c001n01" -> "rsc_c001n01_start_0 c001n01" [ style = dashed]
 "rsc_c001n01_stop_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n02_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "rsc_c001n02_monitor_0 c001n01" -> "rsc_c001n02_start_0 c001n01" [ style = dashed]
 "rsc_c001n02_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n02_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "rsc_c001n02_monitor_0 c001n03" -> "rsc_c001n02_start_0 c001n01" [ style = dashed]
 "rsc_c001n02_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n02_monitor_5000 c001n01" [ style=dashed color="red" fontcolor="black" ]
@@ -68,8 +81,10 @@
 "rsc_c001n02_stop_0 c001n02" -> "do_shutdown c001n02" [ style = bold]
 "rsc_c001n02_stop_0 c001n02" -> "rsc_c001n02_start_0 c001n01" [ style = dashed]
 "rsc_c001n02_stop_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n03_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "rsc_c001n03_monitor_0 c001n01" -> "rsc_c001n03_start_0 c001n03" [ style = dashed]
 "rsc_c001n03_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n03_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "rsc_c001n03_monitor_0 c001n02" -> "rsc_c001n03_start_0 c001n03" [ style = dashed]
 "rsc_c001n03_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n03_monitor_5000 c001n03" [ style=dashed color="red" fontcolor="black"]
@@ -78,8 +93,10 @@
 "rsc_c001n03_stop_0 c001n03" -> "all_stopped" [ style = bold]
 "rsc_c001n03_stop_0 c001n03" -> "rsc_c001n03_start_0 c001n03" [ style = dashed]
 "rsc_c001n03_stop_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n08_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "rsc_c001n08_monitor_0 c001n01" -> "rsc_c001n08_start_0 c001n01" [ style = dashed]
 "rsc_c001n08_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"rsc_c001n08_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "rsc_c001n08_monitor_0 c001n03" -> "rsc_c001n08_start_0 c001n01" [ style = dashed]
 "rsc_c001n08_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n08_monitor_5000 c001n01" [ style=dashed color="red" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/829.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/829.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/829.exp
@@ -225,6 +225,24 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="15" operation="monitor" operation_key="child_DoFencing:1_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="16" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="21" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="22" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="26" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="38" operation="stop" operation_key="child_DoFencing:0_stop_0"/>
       </trigger>
       <trigger>
@@ -264,6 +282,57 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="rsc_c001n08_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="12" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="13" operation="monitor" operation_key="rsc_c001n03_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="child_DoFencing:0_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="15" operation="monitor" operation_key="child_DoFencing:1_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="16" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="17" operation="monitor" operation_key="DcIPaddr_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="18" operation="monitor" operation_key="rsc_c001n08_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="19" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="20" operation="monitor" operation_key="rsc_c001n01_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="21" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="22" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="23" operation="monitor" operation_key="rsc_c001n02_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="24" operation="monitor" operation_key="rsc_c001n03_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="25" operation="monitor" operation_key="rsc_c001n01_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="26" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="31" operation="stop" operation_key="rsc_c001n02_stop_0"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bug-cl-5247.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/bug-cl-5247.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bug-cl-5247.dot
@@ -89,7 +89,9 @@ digraph "g" {
 "pgsql_stop_0 pgsr02" -> "all_stopped" [ style = bold]
 "pgsql_stop_0 pgsr02" -> "msPostgresql_stopped_0" [ style = bold]
 "pgsql_stop_0 pgsr02" [ style=bold color="green" fontcolor="orange"]
+"pgsr01_monitor_0 bl460g8n4" -> "all_stopped" [ style = bold]
 "pgsr01_monitor_0 bl460g8n4" [ style=bold color="green" fontcolor="black"]
+"pgsr02_monitor_0 bl460g8n3" -> "all_stopped" [ style = bold]
 "pgsr02_monitor_0 bl460g8n3" [ style=bold color="green" fontcolor="black"]
 "pgsr02_stop_0 bl460g8n4" -> "all_stopped" [ style = bold]
 "pgsr02_stop_0 bl460g8n4" -> "prmDB2_stop_0 bl460g8n4" [ style = bold]
@@ -126,6 +128,8 @@ digraph "g" {
 "stonith_complete" -> "vip-master_start_0 pgsr01" [ style = bold]
 "stonith_complete" -> "vip-rep_start_0 pgsr01" [ style = bold]
 "stonith_complete" [ style=bold color="green" fontcolor="orange"]
+"vip-master_monitor_0 pgsr01" -> "all_stopped" [ style = bold]
+"vip-master_monitor_0 pgsr01" -> "master-group_stopped_0" [ style = bold]
 "vip-master_monitor_0 pgsr01" -> "vip-master_start_0 pgsr01" [ style = bold]
 "vip-master_monitor_0 pgsr01" [ style=bold color="green" fontcolor="black"]
 "vip-master_monitor_10000 pgsr01" [ style=bold color="green" fontcolor="black"]
@@ -137,6 +141,9 @@ digraph "g" {
 "vip-master_stop_0 pgsr02" -> "master-group_stopped_0" [ style = bold]
 "vip-master_stop_0 pgsr02" -> "vip-master_start_0 pgsr01" [ style = bold]
 "vip-master_stop_0 pgsr02" [ style=bold color="green" fontcolor="orange"]
+"vip-rep_monitor_0 pgsr01" -> "all_stopped" [ style = bold]
+"vip-rep_monitor_0 pgsr01" -> "master-group_stopped_0" [ style = bold]
+"vip-rep_monitor_0 pgsr01" -> "vip-master_stop_0 pgsr02" [ style = bold]
 "vip-rep_monitor_0 pgsr01" -> "vip-rep_start_0 pgsr01" [ style = bold]
 "vip-rep_monitor_0 pgsr01" [ style=bold color="green" fontcolor="black"]
 "vip-rep_monitor_10000 pgsr01" [ style=bold color="green" fontcolor="black"]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bug-cl-5247.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/bug-cl-5247.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bug-cl-5247.exp
@@ -210,6 +210,12 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="13" operation="monitor" operation_key="vip-master_monitor_0" on_node="pgsr01" on_node_uuid="pgsr01" router_node="bl460g8n3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="vip-rep_monitor_0" on_node="pgsr01" on_node_uuid="pgsr01" router_node="bl460g8n3"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="27" operation="stop" operation_key="vip-master_stop_0"/>
       </trigger>
       <trigger>
@@ -308,6 +314,9 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="vip-rep_monitor_0" on_node="pgsr01" on_node_uuid="pgsr01" router_node="bl460g8n3"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="30" operation="stop" operation_key="vip-rep_stop_0"/>
       </trigger>
       <trigger>
@@ -761,6 +770,18 @@
         <rsc_op id="4" operation="stop" operation_key="prmDB2_stop_0" on_node="bl460g8n4" on_node_uuid="3232261400"/>
       </trigger>
       <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="pgsr02_monitor_0" on_node="bl460g8n3" on_node_uuid="3232261399"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="12" operation="monitor" operation_key="pgsr01_monitor_0" on_node="bl460g8n4" on_node_uuid="3232261400"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="13" operation="monitor" operation_key="vip-master_monitor_0" on_node="pgsr01" on_node_uuid="pgsr01" router_node="bl460g8n3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="vip-rep_monitor_0" on_node="pgsr01" on_node_uuid="pgsr01" router_node="bl460g8n3"/>
+      </trigger>
+      <trigger>
         <rsc_op id="17" operation="stop" operation_key="prmStonith1-2_stop_0" on_node="bl460g8n4" on_node_uuid="3232261400"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bug-lf-2435.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/bug-lf-2435.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bug-lf-2435.dot
@@ -7,7 +7,11 @@ digraph "g" {
 "dummy3_stop_0 c21.chepkov.lan" -> "all_stopped" [ style = bold]
 "dummy3_stop_0 c21.chepkov.lan" -> "dummy2_start_0 c21.chepkov.lan" [ style = bold]
 "dummy3_stop_0 c21.chepkov.lan" [ style=bold color="green" fontcolor="black" ]
+"dummy4_monitor_0 c19.chepkov.lan" -> "all_stopped" [ style = bold]
 "dummy4_monitor_0 c19.chepkov.lan" [ style=bold color="green" fontcolor="black" ]
+"dummy4_monitor_0 c20.chepkov.lan" -> "all_stopped" [ style = bold]
 "dummy4_monitor_0 c20.chepkov.lan" [ style=bold color="green" fontcolor="black" ]
+"dummy4_monitor_0 c21.chepkov.lan" -> "all_stopped" [ style = bold]
+"dummy4_monitor_0 c21.chepkov.lan" -> "dummy2_start_0 c21.chepkov.lan" [ style = bold]
 "dummy4_monitor_0 c21.chepkov.lan" [ style=bold color="green" fontcolor="black" ]
 }
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bug-lf-2435.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/bug-lf-2435.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bug-lf-2435.exp
@@ -8,6 +8,9 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="dummy4_monitor_0" on_node="c21.chepkov.lan" on_node_uuid="c21.chepkov.lan"/>
+      </trigger>
+      <trigger>
         <rsc_op id="7" operation="stop" operation_key="dummy2_stop_0" on_node="c20.chepkov.lan" on_node_uuid="c20.chepkov.lan"/>
       </trigger>
       <trigger>
@@ -68,6 +71,15 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="dummy4_monitor_0" on_node="c19.chepkov.lan" on_node_uuid="c19.chepkov.lan"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="dummy4_monitor_0" on_node="c20.chepkov.lan" on_node_uuid="c20.chepkov.lan"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="dummy4_monitor_0" on_node="c21.chepkov.lan" on_node_uuid="c21.chepkov.lan"/>
+      </trigger>
+      <trigger>
         <rsc_op id="7" operation="stop" operation_key="dummy2_stop_0" on_node="c20.chepkov.lan" on_node_uuid="c20.chepkov.lan"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bug-n-387749.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/bug-n-387749.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bug-n-387749.dot
@@ -1,17 +1,20 @@
 digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"export_home_ocfs2:0_monitor_0 power720-1" -> "all_stopped" [ style = bold]
 "export_home_ocfs2:0_monitor_0 power720-1" -> "export_home_ocfs2_clone_set_start_0" [ style = bold]
 "export_home_ocfs2:0_monitor_0 power720-1" [ style=bold color="green" fontcolor="black" ]
 "export_home_ocfs2:0_post_notify_start_0 power720-1" -> "export_home_ocfs2_clone_set_confirmed-post_notify_running_0" [ style = bold]
 "export_home_ocfs2:0_post_notify_start_0 power720-1" [ style=bold color="green" fontcolor="black" ]
 "export_home_ocfs2:0_start_0 power720-1" -> "export_home_ocfs2_clone_set_running_0" [ style = bold]
 "export_home_ocfs2:0_start_0 power720-1" [ style=bold color="green" fontcolor="black" ]
+"export_home_ocfs2:1_monitor_0 power720-1" -> "all_stopped" [ style = bold]
 "export_home_ocfs2:1_monitor_0 power720-1" -> "export_home_ocfs2_clone_set_start_0" [ style = bold]
 "export_home_ocfs2:1_monitor_0 power720-1" [ style=bold color="green" fontcolor="black" ]
 "export_home_ocfs2:1_post_notify_start_0 power720-2" -> "export_home_ocfs2_clone_set_confirmed-post_notify_running_0" [ style = bold]
 "export_home_ocfs2:1_post_notify_start_0 power720-2" [ style=bold color="green" fontcolor="black" ]
 "export_home_ocfs2:1_pre_notify_start_0 power720-2" -> "export_home_ocfs2_clone_set_confirmed-pre_notify_start_0" [ style = bold]
 "export_home_ocfs2:1_pre_notify_start_0 power720-2" [ style=bold color="green" fontcolor="black" ]
+"export_home_ocfs2:2_monitor_0 power720-1" -> "all_stopped" [ style = bold]
 "export_home_ocfs2:2_monitor_0 power720-1" -> "export_home_ocfs2_clone_set_start_0" [ style = bold]
 "export_home_ocfs2:2_monitor_0 power720-1" [ style=bold color="green" fontcolor="black" ]
 "export_home_ocfs2_clone_set_confirmed-post_notify_running_0" -> "group_nfs_start_0" [ style = bold]
@@ -42,6 +45,8 @@ digraph "g" {
 "group_nfs_stop_0" [ style=bold color="green" fontcolor="orange" ]
 "group_nfs_stopped_0" -> "group_nfs_start_0" [ style = bold]
 "group_nfs_stopped_0" [ style=bold color="green" fontcolor="orange" ]
+"resource_ipaddr1_single_monitor_0 power720-1" -> "all_stopped" [ style = bold]
+"resource_ipaddr1_single_monitor_0 power720-1" -> "group_nfs_stopped_0" [ style = bold]
 "resource_ipaddr1_single_monitor_0 power720-1" -> "resource_ipaddr1_single_start_0 power720-1" [ style = bold]
 "resource_ipaddr1_single_monitor_0 power720-1" [ style=bold color="green" fontcolor="black" ]
 "resource_ipaddr1_single_monitor_5000 power720-1" [ style=bold color="green" fontcolor="black" ]
@@ -53,6 +58,9 @@ digraph "g" {
 "resource_ipaddr1_single_stop_0 power720-2" -> "group_nfs_stopped_0" [ style = bold]
 "resource_ipaddr1_single_stop_0 power720-2" -> "resource_ipaddr1_single_start_0 power720-1" [ style = bold]
 "resource_ipaddr1_single_stop_0 power720-2" [ style=bold color="green" fontcolor="black" ]
+"resource_nfsserver_single_monitor_0 power720-1" -> "all_stopped" [ style = bold]
+"resource_nfsserver_single_monitor_0 power720-1" -> "group_nfs_stopped_0" [ style = bold]
+"resource_nfsserver_single_monitor_0 power720-1" -> "resource_ipaddr1_single_stop_0 power720-2" [ style = bold]
 "resource_nfsserver_single_monitor_0 power720-1" -> "resource_nfsserver_single_start_0 power720-1" [ style = bold]
 "resource_nfsserver_single_monitor_0 power720-1" [ style=bold color="green" fontcolor="black" ]
 "resource_nfsserver_single_monitor_15000 power720-1" [ style=bold color="green" fontcolor="black" ]
